MyGUI: MyGUI::MemberObsolete< Widget > Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::MemberObsolete< Widget > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< Widget >:
[legend]

## Public Member Functions
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()

## Detailed Description

Definition at line 363 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ isEnabled()

bool MyGUI::MemberObsolete< Widget >::isEnabled | ( |  | ) |

Deprecated
  " is deprecated, use : bool Widget::getEnabled() const"

Definition at line 600 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isInheritsAlpha()

bool MyGUI::MemberObsolete< Widget >::isInheritsAlpha | ( |  | ) |

Deprecated
  " is deprecated, use : bool Widget::getInheritsAlpha() const"

Definition at line 604 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isInheritsPick()

bool MyGUI::MemberObsolete< Widget >::isInheritsPick | ( |  | ) |

Deprecated
  " is deprecated, use : bool Widget::getInheritsPick() const"

Definition at line 616 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isNeedKeyFocus()

bool MyGUI::MemberObsolete< Widget >::isNeedKeyFocus | ( |  | ) |

Deprecated
  " is deprecated, use : bool Widget::getNeedKeyFocus() const"

Definition at line 608 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isNeedMouseFocus()

bool MyGUI::MemberObsolete< Widget >::isNeedMouseFocus | ( |  | ) |

Deprecated
  " is deprecated, use : bool Widget::getNeedMouseFocus() const"

Definition at line 612 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isVisible()

bool MyGUI::MemberObsolete< Widget >::isVisible | ( |  | ) |

Deprecated
  " is deprecated, use : bool Widget::getVisible() const"

Definition at line 620 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp